@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Calligraffitti&display=swap');

*{
    font-family: 'Poppins', sans-serif;
}

body{
    background-color: black;
    overflow-x: hidden;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1; 
}

::-webkit-scrollbar-thumb {
    background: rgb(5, 124, 141);
}

::-webkit-scrollbar-thumb:hover { 
  background: rgb(5, 124, 221); 
}

.links{
    position: fixed;
    top: 270px;
    display: block;
    left: 20px;
}

.links i{
    font-size: 25px;
    height: 35px;
    width: 35px;
    border-radius: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
    transition: all 0.5s;
}

#linkedin{
    color: white;
    background-color: rgb(5, 124, 221);
    border: 1px solid white;
    transition: all 0.5s;
}

#whatsapp, #phone{
    color: white;
    background-color: rgb(0, 161, 35);
    border: 1px solid white;
    transition: all 0.5s;
}

#github{
    color: white;
    background-color: black;
    border: 1px solid white;
    transition: all 0.5s;
}

#linkedin:hover{
    background-color: white;
    color: rgb(5, 124, 221);
    border: 1px solid rgb(5, 124, 221);
}

#github:hover{
    background-color: white;
    color: rgb(0, 0, 0);
    border: 1px solid rgb(0, 0, 0);
}

#whatsapp:hover, #phone:hover{
    background-color: white;
    color: rgb(0, 161, 35);
    border: 1px solid rgb(0, 161, 35);
}

.links a{
    text-decoration: none;
}

nav{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    color: rgb(133, 133, 133);
    height: 70px;
    border-bottom: 1px solid rgb(33, 33, 33);
    background-color: rgba(25, 25, 25, 0.263);
}

.navbar-name{
    margin-left: 100px;
    font-family: 'Calligraffitti', cursive;
    text-transform: capitalize;
}

.navbar-list{
    display: flex;
    justify-content: center;
    margin-left: 150px;
}

.image{
    height: 700px;
    max-height: 1400px;
    width: 3500px;
    position: relative;
    bottom: 100px;
    z-index: -1;
    margin-left: -10px;
    overflow: hidden;
}

.image img{
    filter: brightness(10%);
}

.nav-link button{
    margin-left: 80px;
    margin-top: 20px;
    font-size: 20px;
    color: rgb(141, 141, 141);
    background-color: transparent;
    border: none;
    cursor: pointer;
    padding-bottom: 5px;
    transition: all 0.5s;
    border-bottom: 2px solid transparent;
}

.nav-link button:hover{
    color: rgb(255, 255, 255);
    border-bottom: 2px solid white;
}

.texts{
    position: relative;
    bottom: 570px;
    left: 20%;
    z-index: 1;
    color: white;
    filter: brightness(80%);
}

.texts p{
    font-size: 18px;
}

.texts h1{
    font-size: 50px;
}

.scroll-btn{
    border: 1px solid rgb(5, 124, 141);
    background-color: rgb(5, 124, 141);
    margin-top: 60px;
    text-align: center;
    height: 50px;
    width: 50px;
    cursor: pointer;
    border-radius: 100%;
    outline: none;
    color: white;
    font-size: 25px;
}

.explore{
    height: 50px;
    width: 200px;
    font-size: 17px;
    cursor: pointer;
    transition: all 0.5s;
    background-color: transparent;
    border: 1px solid rgb(5, 124, 141);
    margin-top: 20px;
    color: white;
    transition: all 0.5s;
}

.explore:hover{
    background: rgb(5, 124, 141);
    color: white;
}

main{
    width: 100%;
    margin-top: -420px;
    display: flex;
    justify-content: space-evenly;
}

.about-header{
    margin-left: 150px;
}

.about{
    padding-left: 100px;
    padding-bottom: 70px;
    background-color: black;
    color: rgb(97, 97, 97);
    width: 100%;
}

.about-body{
    padding-right: 50%;
}

.about h2{
    color: rgb(5, 124, 221);
}

.about p{
    padding-top: 10px;
    font-size: 18px;
}

.read-more, .less{
    font-size: 17px;
    border: none;
    outline: none;
    background-color: transparent; 
    color: rgb(5, 124, 141);
}

.photo{
    height: 160px;
    width: 155px;
    overflow: hidden;
    background-color: transparent;
    border-radius: 100%;
    text-align: center;
    filter: brightness(80%);
    border: none;
}

.about-header img{
    height: 160px;
    width: 145px;
}

.services h2, .projects h2, .clients h2, .contacts h2{
    color: rgb(5, 124, 221);
}

.services, .projects, .contacts{
    padding-left: 100px;
}

.service-texts, .project-texts{
    padding: 20px;
}

.projects-body{
    display: flex;
    flex-wrap: wrap;
}

.project{
    max-height: 340px;
    overflow: hidden;
    background: white;
    margin-right: 20px;
    margin-bottom: 20px;
    border-radius: 10px;
    cursor: pointer;
    transition: all 1s;
    background-color: rgb(5, 124, 141);
}

.view-project{
    cursor: pointer;
    height: 40px;
    width: 40px;
    border: 1px solid black;
    border-radius: 100%;
    background-color: transparent;
    outline: none;
    font-size: 25px;
}

.view-project:hover{
    border: 2px solid black;
}

.skill{
    color: rgb(173, 173, 173);
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 600px;
}

.level{
    height: 10px;
    width: 60%;
    background-color: white;
    margin-left: 20px;
}

.experience-five{
    width: 100%;
    height: 100%;
    background-color: rgb(5, 124, 221);
}

.experience-four{
    width: 80%;
    height: 100%;
    background-color: rgb(5, 124, 221);
}

.experience-three{
    width: 60%;
    height: 100%;
    background-color: rgb(5, 124, 221);
}

button.view{
    height: 50px;
    width: 150px;
    color: white;
    background-color: white;
    color: rgb(5, 124, 221);
    border-radius: 4px;
    border: none;
    transition: all 0.5s;
    border: 1px solid rgb(5, 124, 221);
    cursor: pointer;
    font-size: 16px;

}

p.view{
    color: rgb(5, 124, 221);
}

.view:hover{
    background-color: rgb(5, 124, 221);
    color: white;
}

.project:hover{
    margin-top: -5px;
}

.project-texts{
    padding: 20px;
}


.project{
    width: 300px;
}

.address{
    color: rgb(125, 125, 125);
}

.detail{
    margin-left: 10px;
}

.email{
    text-align: center;
    height: 650px;
    width: 630px;
    background-color: rgb(125, 125, 125);
    border-radius: 10px;
}

#name{
    margin-top: 50px;
}

input{
    height: 50px;
    width: 400px;
    outline: none;
    border: none;
    box-shadow: 2px 2px 2px  rgba(117, 117, 117, 0.637);
    display: block;
    margin-left: 110px;
    margin-top: 20px;
    border-radius: 7px;
    padding-left: 20px;
    font-size: 17px;
    background-color: rgb(65, 65, 65);
}

textarea{
    width: 400px;
    box-shadow: 2px 2px 2px  rgba(117, 117, 117, 0.637);
    border-radius: 7px;
    margin-top: 30px;
    outline: none;
    border: none;
    margin-left: 10px;
    padding-left: 20px;
    padding-top: 30px;
    font-size: 17px;
    background-color: rgb(65, 65, 65);
}

.email button{
    height: 50px;
    width: 400px;
    outline: none;
    border: none;
    margin-top: 10px;
    border-radius: 10px;
    background-color: rgb(5, 124, 221);
    color: white;
    font-size: 17px;
    cursor: pointer;
    transition: all 1s;
}

.email button:hover{
    background: white;
    border: 1px solid rgb(5, 124, 221);
    color: rgb(5, 124, 221);
}

footer{
    text-align: center;
    height: 100px;
    width: inherit;
    color: rgb(147, 147, 147);
}

@media only screen and (min-width:1000px){
    .nav-toggle{
        display: none;
    }
    .navbar-name{
        font-size: 35px;
    }
}

@media only screen and (min-width:600px) and (max-width: 1000px){
    nav{
        width: 100%;
        display: flex;
        justify-content: start;
        align-items: center;
        color: rgb(133, 133, 133);
        height: 70px;
        border-bottom: 1px solid rgb(33, 33, 33);
        background-color: rgba(25, 25, 25, 0.263);
    }
    .navbar-list{
        display: none;
    }
    .nav-toggle{
        font-size: 30px;
        background-color: transparent;
        border: none;
        outline: none;
        color: white;
    }

    .navbar-name{
        font-size: 35px;
    }

    .cross{
        position: relative;
        right: 0px;
    }

    .bars{
        position: relative;
        left: 360px;
    }

    .navbar-list{
        margin-left: 0px;
        position: relative;
        top: 60px;
        right: 150px;
        width: 360px;
        display: grid;
        grid-template-columns: auto auto auto auto;
        place-items: center;
    }

    .nav-link button{
        margin-left: 20px;
        margin-top: 20px;
        font-size: 20px;
    }

    .texts h1{
        font-size: 40px;
    }

    .services, .projects, .contacts{
        padding-left: 0px;
    }
}

@media only screen and (max-width: 600px) {
    body{
        overflow-x: hidden;
    }

    .image{
        height: 600px;
        position: relative;
        bottom: 290px;
        width: 428px;
        overflow-x: hidden;
        margin-bottom: 200px;
    }

    nav{
        display: flex;
        justify-content: space-between;
    }

    .navbar-name{
        font-size: 30px;
        margin-left: 10px;
    }

    .nav-toggle{
        font-size: 30px;
        background-color: transparent;
        border: none;
        outline: none;
        color: white;
    }

    .cross{
        position: relative;
        right: 100px;
    }

    .navbar-list{
        margin-left: 0px;
        position: relative;
        top: 60px;
        right: 130px;
        width: 360px;
        display: grid;
        grid-template-columns: auto auto auto auto auto;
    }

    .nav-link button{
        margin-left: 20px;
        margin-top: 20px;
        font-size: 16px;
    }


    .texts{
        position: relative;
        bottom: 720px;
        left: 60px;
        z-index: 1;
        color: white;
        filter: brightness(80%);
        width: 350px;
        overflow-x: hidden;
    }

    .texts h1{
        font-size: 21px;
    }

    .texts p{
        font-size: 17px;
    }


    .links{
        position: fixed;
        top: 180px;
        display: block;
        left: 10px;
    }

    .links i{
        font-size: 20px;
        height: 40px;
        width: 40px;
        border-radius: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 20px;
        transition: all 0.5s;
    }
    
    main{
        width: 100%;
        display: flex;
        justify-content: start;
        flex-wrap: wrap;
        margin-top: -400px;
    }
    
    .about{
        padding-left: 30px;
        padding-bottom: 70px;
        background-color: black;
        width: 100%;
        overflow: hidden;
    }

    .about-header{
        margin-left: 30px;
    }
    
    .about-body{
        width: 90%;
        height: 300px;
        overflow: hidden;
        padding-right: 1px;
        
    }

    .services, .projects, .contacts{
        padding-left: 20px;
    }
    
    .skill{
        width: 330px;
    }

    .detail{
        margin-left: 10px;
    }
    
    .projects-body{
        width: 100%;
    }
    
    .project{
        width: 90%;
        overflow: hidden;
    }


    .contacts{
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: start;
    }
    
    .email{
        text-align: center;
        height: 650px;
        width: 98%;
        border-radius: 10px;
        margin-left: -20px;
    }
    
    #name{
        margin-top: 50px;
    }
    
    input{
        width: 90%;
        margin-left: 5px;
    }

    .email button{
        width: 90%;
    }
    
    textarea{
        width: 90%;
        margin-left: 0px;
    }
  }